# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Socket6
Version:	0.25
Release:	1.%{__distinit}%{__distvers}
Summary:	IPv6 related part of the C socket.h defines and structure manipulators
Group:		Development/Libraries
License:	BSD
URL:		http://search.cpan.org/dist/Socket6/
Source0:	http://search.cpan.org/CPAN/authors/id/U/UM/UMEMOTO/Socket6-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Socket)
BuildRequires:	perl(Test)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This module supports getaddrinfo() and getnameinfo() to intend to enable
protocol independent programming. If your environment supports IPv6, IPv6
related defines such as AF_INET6 are included.

%prep
%setup -q -n Socket6-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -empty -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{perl_vendorarch}/Socket6.pm
%{perl_vendorarch}/auto/Socket6/
%{_mandir}/man3/Socket6.3pm*

%changelog
* Mon Dec  9 2013 Paul Howarth <paul@city-fan.org> - 0.25-1
- Update to 0.25
  - t/use.t: Fixed test redefinition warnings (CPAN RT#75211)
  - Makefile.PL (configure_mswin32): Fixed undefined ref to inet_ntop,inet_pton
    on Windows XP (CPAN RT#65710)
  - Makefile.PL: Fixed passing perl cc and ccflags to configure (CPAN RT#77665)
  - Socket6.pm: Fixed typos (CPAN RT#71617, CPAN RT#86346)
  - Makefile.PL: Install manpage (CPAN RT#66811)

* Mon Jul 22 2013 Paul Howarth <paul@city-fan.org> - 0.23-14
- Perl 5.18 rebuild

* Tue Jun 12 2012 Paul Howarth <paul@city-fan.org> - 0.23-9
- BR: perl(base), perl(Carp), perl(Exporter), perl(Socket) and perl(Test)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorarch}
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Use %%{_fixperms} macro rather than our own chmod incantation

* Mon Jun 27 2011 Paul Howarth <paul@city-fan.org> - 0.23-7
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 0.23-6
- Rebuild for perl 5.12.1 in Rawhide

* Tue Jun  1 2010 Paul Howarth <paul@city-fan.org> - 0.23-5
- Fix dist tag for RHEL-6 Beta

* Wed Mar  3 2010 Paul Howarth <paul@city-fan.org> - 0.23-4
- Dist tag for Rawhide no longer needs special-casing

* Thu Sep 24 2009 Paul Howarth <paul@city-fan.org> - 0.23-3
- Use %%{?perl_default_filter} for provides filter

* Mon Mar  2 2009 Paul Howarth <paul@city-fan.org> - 0.23-2
- Filter out unwanted provides for perl shared objects
- Update to SLES-compatible dist tag macros

* Wed Nov  5 2008 Paul Howarth <paul@city-fan.org> - 0.23-1
- update to 0.23

* Mon Aug 18 2008 Paul Howarth <paul@city-fan.org> - 0.22-1
- update to 0.22
- tweak dist tag macros to work on current Rawhide with three-part releasenum

* Mon Feb 18 2008 Paul Howarth <paul@city-fan.org> - 0.20-1
- update to 0.20 (perl 5.10.x compatibility update)

* Fri Dec 21 2007 Paul Howarth <paul@city-fan.org> - 0.19-5
- import from Fedora
- fix argument order for find with -depth

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 0.19-4.1
- add BR: perl(ExtUtils::MakeMaker)

* Tue Aug 21 2007 Warren Togami <wtogami@redhat.com> - 0.19-4
- rebuild

* Wed Jul 12 2006 Warren Togami <wtogami@redhat.com> - 0.19-3
- import into FC6

* Thu May 18 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.19-2
- License: BSD (http://www.opensource.org/licenses/bsd-license.php).

* Sat May 13 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.19-1
- First build.
